#ifndef _VPrenderer_H_
#define _VPrenderer_H_

enum
{
    VP_SMART_GEOMETRY					= 1000,
    VP_UPDATE_MATERIALS_MODE			= 1001,
    VP_KERNEL           = 1002,
    VP_MAXSAMPLES       = 1003,
    VP_KERNEL_ENABLE	= 1005,
    VP_KERNEL_OVERWRITE	= 1004,
    VP_FULLSEND_SCENE   = 1006,
    VP_USE_ALLGPU       = 1007,
    VP_BUFFER_TYPE      = 1008,
    VP_STAMP1           = 1009,
    VP_AUTOSAVE_PER_SAMPLES = 1027,
   // VP_FASTUPDATES      = 1010,

    VP_GEOMETRY_ENGINE   = 1011,
    VP_TIME_LIMIT       = 1012,
    VP_MOTIONBLUR       = 1013,
    VP_MOTIONBLUR_TIMESTEPS = 1014,

    VP_MBLUR_DISABLED=0,
    VP_MBLUR_CAMERA=1,
    VP_MBLUR_CAMERA_OBJECTS=2,

    VP_ENABLE_NETRENDER = 1015,
    VP_CLAY_SELECTION = 1016,
    VP_RENDERREGION = 1017,
    VP_REGION_X1 = 1018,
    VP_REGION_Y1 = 1019,
    VP_REGION_X2 = 1020,
    VP_REGION_Y2 = 1021,
    VP_NETRENDER_BINDALL = 1025,
    VP_NETRENDER_USESTEAL = 1026,

//    VP_AUTO_MODE = 1022,
    VP_GEOMETRY_CHECK = 1023,
    VP_IGNORE_UNUSED_MATS = 1024,
    VP_GEO_MANUAL=0,
    VP_GEO_ALL_MOVABLE=1,
    VP_GEO_AUTOMATIC=2,


    VP_ENABLE_PASSES = 1030,
    VP_REGION_LAST_X1 = 1031,
    VP_REGION_LAST_Y1 = 1032,
    VP_REGION_LAST_X2 = 1033,
    VP_REGION_LAST_Y2 = 1034,
    VP_GPUTEMP_LIMIT = 1035,
    VP_USE_DENOISED_BEAUTY = 1036,

    //VP_RGBA_COLORTRANS,
    //VP_PASSES_COLORTRANS,

    VP_GET_LASTREGION,
    VP_PARTIAL_GRP,
    VP_MAIN_GROUP,
    VP_RENDERSETTINGS_GRP,
    VP_NETWORK_GRP,
    VP_RENDERREGION_GRP,
    VP_DEEP_GRP,
    VP_DEEPIMAGE_GRP,

    VP_DL_GRP,
    VP_DL_LIGHT_GRP,
    VP_DL_LIGHT_IDS,
    VP_DL_LIGHTLINK_INV,

    VP_PATH_GRP,
    VP_PT_LIGHT_GRP,
    VP_PT_LIGHT_IDS,
    VP_PT_LIGHTLINK_INV,

    VP_PMC_GRP,
    VP_PMC_LIGHT_GRP,
    VP_PMC_LIGHT_IDS,
    VP_PMC_LIGHTLINK_INV,

    VP_CAMERAIMAGER_GRP,
    VP_POST_GRP,
    VP_NETPREFS_BUTTON,
    VP_HELPBUTTON,
    VP_BUFFER_GRP,
    VP_RENDERPASSES_PARAMS_GRP,
    VP_RENDERPASSES_GRP,
    VP_RENDERPASSES_GRP1,
    VP_RENDERPASSES_GRP2,
    VP_RENDERPASSES_GRP3,
    VP_RENDERPASSES_GRP4,
    VP_RENDERPASSES_MASKS_GRP,
    VP_RENDERPASSES_LIGHT_GRP,
    VP_RENDERPASSES_CRYPTO_GRP,
    VP_DENOISER_PASSES_GRP,
    VP_BEAUTY_GRP_2,
    VP_BEAUTY_GRP_3,
    VP_BEAUTY_UNSEL_ALL_BTN,
    VP_BEAUTY_SEL_ALL_BTN,

    VP_DEEP_IMAGE_GRP,

    VP_CLAY_MODE_NONE=0,
    VP_CLAY_MODE_GREY=1,
    VP_CLAY_MODE_COLOR=2,

    VP_COLOR_PASS = 0,
    VP_COLOR_SRGB_TO_LINEAR = 1,
    VP_COLOR_LINEAR_TO_SRGB = 2,
    VP_COLOR_LINEAR_TO_VIEW = 10,
    VP_COLOR_SRGB_TO_VIEW = 11,



    ID_GEO_METHOD1 = 0,
    ID_GEO_METHOD2 = 1,

    VP_UPDATEMETHOD1   = 0,
    VP_UPDATEMETHOD2   = 1,

    VP_BUFFER_8BIT  = 0,
    VP_BUFFER_FLOAT_TONEMAPPED = 2,
    VP_BUFFER_FLOAT = 3,

    VP_INFOKERNEL   = 0,
    VP_DLKERNEL     = 1,
    VP_PTKERNEL     = 2,
    VP_PMCKERNEL    = 3,
    DL_METHOD0=0,
    //DL_METHOD1=1,
    //DL_METHOD2=2,
    DL_METHOD3=1,
    DL_METHOD4=2,

    SET_PRESET_NAME=3000,
    SET_KERNEL_TYPE=3001,
    SET_DIRECT_AODIST=3002,
    SET_DIRECT_MAXSAMPLES=3003,
    SET_DIRECT_ALPHACHAN=3004,
    SET_DIRECT_DIFDEPTH=3005,
    SET_DIRECT_GLOSDEPTH=3006,
    SET_DIRECT_SPECDEPTH=3007,
    SET_DIRECT_FSIZE=3008,
    SET_DIRECT_RAYEPS=3009,
    SET_DIRECT_KEEPENV=3010,
    //SET_DIRECT_AFFECT_ROUGH=3110,
    SET_DIRECT_MAX_SUBD_LEVEL=3111,
    SET_DIRECT_RRPROB=3011,
    SET_DIRECT_GIMOD=3012,
    SET_DIRECT_ALPHASHADOW=3013,
    SET_DIRECT_PTERMPOWER=3014,
    SET_DIRECT_COHERENT=3015,
    SET_DIRECT_STAT_NOISE=3016,
    SET_DIRECT_COHERENTRATIO=3017,
    SET_DIRECT_VOL_STEP_LEN=3018,
    SET_DIRECT_PAR_SAMPLES=3019,
    SET_DIRECT_MAXTILE_SAMP=3020,
    SET_DIRECT_MIN_NET_TRAFFIC=3021,
    SET_DIRECT_AO_TEXTURE=3022,
    SET_DIRECT_ADAPTIVE_SAMPLING=3140,
    SET_DIRECT_ASAMP_NOISE_THRESH=3141,
    SET_DIRECT_ASAMP_EXP_EXPOSURE=3142,
    SET_DIRECT_ASAMP_MIN_SAMPLES=3143,
    SET_DIRECT_ASAMP_GRP_PIXELS=3144,
    SET_DIRECT_IRRADIANCE_MODE = 3146,
    //SET_DIRECT_SCATTER_DEPTH = 3191,
    SET_DIRECT_AI_LIGHTS = 3151,
    SET_DIRECT_AI_LIGHTS_UPD = 3152,
    SET_DIRECT_AI_LIGHTS_STR = 3153,
    SET_DIRECT_LGHTID_ACTION = 3155,
    SET_DIRECT_LIGHTID_S = 3156,
    SET_DIRECT_LIGHTID_E = 3157,
    SET_DIRECT_LIGHTID_1 = 3158,
    SET_DIRECT_LIGHTID_2 = 3159,
    SET_DIRECT_LIGHTID_3 = 3160,
    SET_DIRECT_LIGHTID_4 = 3161,
    SET_DIRECT_LIGHTID_5 = 3162,
    SET_DIRECT_LIGHTID_6 = 3163,
    SET_DIRECT_LIGHTID_7 = 3164,
    SET_DIRECT_LIGHTID_8 = 3165,
    SET_DIRECT_LIGHTLINK_INV_S = 3500,
    SET_DIRECT_LIGHTLINK_INV_E = 3501,
    SET_DIRECT_LIGHTLINK_INV_1 = 3502,
    SET_DIRECT_LIGHTLINK_INV_2 = 3503,
    SET_DIRECT_LIGHTLINK_INV_3 = 3504,
    SET_DIRECT_LIGHTLINK_INV_4 = 3505,
    SET_DIRECT_LIGHTLINK_INV_5 = 3506,
    SET_DIRECT_LIGHTLINK_INV_6 = 3507,
    SET_DIRECT_LIGHTLINK_INV_7 = 3508,
    SET_DIRECT_LIGHTLINK_INV_8 = 3509,
    SET_TOON_SHADOW_AMBIENT = 3145,
    SET_OLD_VOL_BEHAIOR = 3154,
    SET_DEF_ENV_COLOR = 3190,

    SET_DIRECT_LGHTID_DISABLE=0,
    SET_DIRECT_LGHTID_ENABLE=1,

    SET_ASAMP_GRP_0=0,
    SET_ASAMP_GRP_2x2=1,
    SET_ASAMP_GRP_4x4=2,

    SET_INFOCHAN_MAXSAMPLES=3024,
    SET_INFOCHAN_TYPE=3025,
    SET_INFOCHAN_ALPHACHAN=3026,
    SET_INFOCHAN_RAYEPSILON=3027,
    SET_INFOCHAN_UVMAX=3028,
    SET_INFOCHAN_ZDEPTHMAX=3029,
    SET_INFOCHAN_FILTERSIZE=3030,
    SET_INFOCHAN_RAYDISTR=3031,
    SET_INFOCHAN_BUMPNORMAL=3032,
    SET_INFOCHAN_WIREBACKLGHT=3033,
    SET_INFOCHAN_AODIST=3034,
    SET_INFOCHAN_MAXSPEED=3035,
    SET_INFOCHAN_AO_ALPHASHD=3036,
    SET_INFOCHAN_UVSET=3037,
    SET_INFOCHAN_PAR_SAMPLES=3038,
    SET_INFOCHAN_MAXTILE_SAMP=3039,
    SET_INFOCHAN_MIN_NET_TRAFFIC=3120,
    SET_INFOCHAN_OPAC_THRESH=3121,


    SET_INFOCHAN_TYPE1=0,
    SET_INFOCHAN_TYPE2=1,
    SET_INFOCHAN_TYPE3=2,
    SET_INFOCHAN_TYPE4=3,
    SET_INFOCHAN_TYPE5=4,
    SET_INFOCHAN_TYPE6=5,
    SET_INFOCHAN_TYPE7=6,
    SET_INFOCHAN_TYPE8=7,
    SET_INFOCHAN_TYPE9=8,
    SET_INFOCHAN_TYPE10=9,
    SET_INFOCHAN_TYPE11=10,
    SET_INFOCHAN_TYPE12=11,
    SET_INFOCHAN_TYPE13=12,
    SET_INFOCHAN_TYPE14=13,
    SET_INFOCHAN_TYPE15=14,
    SET_INFOCHAN_TYPE16=15,
    SET_INFOCHAN_TYPE17=16,
    SET_INFOCHAN_TYPE18=17,
    SET_INFOCHAN_TYPE19=18,
    SET_INFOCHAN_TYPE20=19,
    SET_INFOCHAN_TYPE21=20,
    SET_INFOCHAN_TYPE22=21,
    SET_INFOCHAN_TYPE23=22,
    SET_INFOCHAN_TYPE24=23,
    SET_INFOCHAN_TYPE25=24,

    SET_CAMERAIMAGER_ENABLE=3040,
    SET_CAMIMAGER_EXPOSURE=3041,
    SET_CAMIMAGER_ISO=3042,
    SET_CAMIMAGER_FSTOP=3043,
    SET_CAMIMAGER_GAMMA=3044,
    SET_CAMIMAGER_RESPONSE=3045,
    SET_CAMIMAGER_VIGNET=3046,
    SET_CAMIMAGER_SATURATION=3047,
    SET_CAMIMAGER_HOTREMOVAL=3048,
    SET_CAMIMAGER_PREM_ALPHA=3049,
    SET_CAMIMAGER_MDISP_SAMPLES=3050,
    SET_CAMIMAGER_DITHERING=3051,
    SET_CAMIMAGER_SATURE_TO_WHITE=3052,
    SET_CAMIMAGER_WHITEBALANCE=3053,
    SET_CAMIMAGER_HCOMPRESSION=3054,
    SET_CAMIMAGER_NATRESPONSE=3055,
    SET_CAMIMAGER_GAMMA_BEFORE=3056,
    SET_CAMIMAGER_DIS_PARALPHA=3057,
    SET_CAMIMAGER_ORDER=3058,
    SET_CAMIMAGER_CUSTOM_LUT=3059,
    SET_CAMIMAGER_CUSTOM_LUT_STRENGHT=3136,
    SET_CAMIMAGER_MAX_TM_INTERVAL=3137,
    SET_CAMIMAGER_CUSTOMLUT_PRESETNO=3166,
    SET_CAMIMAGER_PRESET_LUT_FNAME=3167,

    SET_CAMIMAGER_EN_DENOISER=3138,
    SET_CAMIMAGER_DENOISE_INTERVAL=3139,
    SET_CAMIMAGER_DENOISE_ON_COMP=3147,
    SET_CAMIMAGER_DENOISE_BLEND=3148,
    SET_CAMIMAGER_DENOISE_MINSMP=3149,
    SET_CAMIMAGER_DENOISE_VOLUME=3150,

    SET_CAMIMAGER_AIUPSMP_MODE=3192,
    SET_CAMIMAGER_AIUPSMP_ENABLE=3193,
    SET_CAMIMAGER_AIUPSMP_ON_COMP=3194,
    SET_CAMIMAGER_AIUPSMP_MIN_SMP=3195,
    SET_CAMIMAGER_AIUPSMP_INTERVAL=3196,

    SET_PATHTRACE_DIFDEPTH=3060,
    SET_PATHTRACE_RRPROB=3061,
    SET_PATHTRACE_RAYEPS=3062,
    //SET_PATHTRACE_AFFECT_ROUGH=3112,
    SET_PATHTRACE_MAX_SUBD_LEVEL=3113,
    SET_PATHTRACE_MAXSAMPLES=3063,
    SET_PATHTRACE_FSIZE=3064,
    SET_PATHTRACE_ASHADOW=3065,
    SET_PATHTRACE_ACHAN=3066,
    SET_PATHTRACE_KEEPENV=3067,
    SET_PATHTRACE_CAUSTICBLUR=3068,
    SET_PATHTRACE_GLOSSYDEPTH=3069,
    SET_PATHTRACE_GICLAMP=3070,
    SET_PATHTRACE_PTERMPOWER=3071,
    SET_PATHTRACE_COHERENT=3072,
    SET_PATHTRACE_STAT_NOISE=3073,
    SET_PATHTRACE_COHERENTRATIO=3074,
    SET_PATHTRACE_VOL_STEP_LEN=3075,
    SET_PATHTRACE_PAR_SAMPLES=3076,
    SET_PATHTRACE_MAXTILE_SAMP=3077,
    SET_PATHTRACE_MIN_NET_TRAFFIC=3078,
    SET_PATHTRACE_ADAPTIVE_SAMPLING=3130,
    SET_PATHTRACE_ASAMP_NOISE_THRESH=3131,
    SET_PATHTRACE_ASAMP_EXP_EXPOSURE=3132,
    SET_PATHTRACE_ASAMP_MIN_SAMPLES=3133,
    SET_PATHTRACE_ASAMP_GRP_PIXELS=3134,
    SET_PATHTRACE_IRRADIANCE_MODE=3135,
    SET_PATHTRACE_SCATTER_DEPTH=3184,
    SET_PATHTRACE_AI_LIGHTS=3170,
    SET_PATHTRACE_AI_LIGHTS_UPD = 3171,
    SET_PATHTRACE_LGHTID_ACTION=3173,
    SET_PATHTRACE_LIGHTID_S=3174,
    SET_PATHTRACE_LIGHTID_E=3175,
    SET_PATHTRACE_LIGHTID_1=3176,
    SET_PATHTRACE_LIGHTID_2=3177,
    SET_PATHTRACE_LIGHTID_3=3178,
    SET_PATHTRACE_LIGHTID_4=3179,
    SET_PATHTRACE_LIGHTID_5=3180,
    SET_PATHTRACE_LIGHTID_6=3181,
    SET_PATHTRACE_LIGHTID_7=3182,
    SET_PATHTRACE_LIGHTID_8=3183,
    SET_PT_LIGHTLINK_INV_S = 3510,
    SET_PT_LIGHTLINK_INV_E = 3511,
    SET_PT_LIGHTLINK_INV_1 = 3512,
    SET_PT_LIGHTLINK_INV_2 = 3513,
    SET_PT_LIGHTLINK_INV_3 = 3514,
    SET_PT_LIGHTLINK_INV_4 = 3515,
    SET_PT_LIGHTLINK_INV_5 = 3516,
    SET_PT_LIGHTLINK_INV_6 = 3517,
    SET_PT_LIGHTLINK_INV_7 = 3518,
    SET_PT_LIGHTLINK_INV_8 = 3519,
    SET_ENABLE_DEEP_IMAGE = 3185,
    SET_ENABLE_DEEP_PASSES = 3186,
    SET_DEEP_MAX_DEPTH_SAMP = 3187,
    SET_DEEP_DEPTH_TOLERANCE = 3188,

    SET_PMC_DIFDEPTH=3080,
    SET_PMC_RRPROB=3081,
    SET_PMC_RAYEPS=3082,
    //SET_PMC_AFFECT_ROUGH=3114,
    SET_PMC_MAX_SUBD_LEVEL=3115,
    SET_PMC_EXPLOSTRENGTH=3083,
    SET_PMC_DLIMPORTANCE=3084,
    SET_PMC_MAXREJECTS=3085,
    SET_PMC_MAXSAMPLES=3086,
    SET_PMC_FSIZE=3087,
    SET_PMC_ASHADOWS=3088,
    SET_PMC_ACHANNEL=3089,
    SET_PMC_KEEPENV=3090,
    SET_PMC_CAUSTICBLUR=3091,
    SET_PMC_PARALLELISM=3092,
    SET_PMC_GLOSSYDEPTH=3093,
    SET_PMC_GICLAMP=3094,
    SET_PMC_PTERMPOWER=3095,
    SET_PMC_VOL_STEP_LEN=3096,
    SET_PMC_WORK_CHUNK_SIZE=3097,
    SET_PMC_IRRADIANCE_MODE=3098,
    SET_PMC_SCATTER_DEPTH=3099,

    SET_PMC_AI_LIGHTS=3240,
    SET_PMC_AI_LIGHTS_UPD = 3241,
    SET_PMC_AI_LIGHTS_STR = 3242,
    SET_PMC_LGHTID_ACTION=3243,
    SET_PMC_LIGHTID_S=3244,
    SET_PMC_LIGHTID_E=3245,
    SET_PMC_LIGHTID_1=3246,
    SET_PMC_LIGHTID_2=3247,
    SET_PMC_LIGHTID_3=3248,
    SET_PMC_LIGHTID_4=3249,
    SET_PMC_LIGHTID_5=3250,
    SET_PMC_LIGHTID_6=3251,
    SET_PMC_LIGHTID_7=3252,
    SET_PMC_LIGHTID_8=3253,
    SET_PMC_LIGHTLINK_INV_S = 3520,
    SET_PMC_LIGHTLINK_INV_E = 3521,
    SET_PMC_LIGHTLINK_INV_1 = 3522,
    SET_PMC_LIGHTLINK_INV_2 = 3523,
    SET_PMC_LIGHTLINK_INV_3 = 3524,
    SET_PMC_LIGHTLINK_INV_4 = 3525,
    SET_PMC_LIGHTLINK_INV_5 = 3526,
    SET_PMC_LIGHTLINK_INV_6 = 3527,
    SET_PMC_LIGHTLINK_INV_7 = 3528,
    SET_PMC_LIGHTLINK_INV_8 = 3529,

    SET_POSTPROC_BLOOMPOWER=3100,
    SET_POSTPROC_ENABLE=3101,
    SET_POSTPROC_GLAREANGLE=3102,
    SET_POSTPROC_GLAREBLUR=3103,
    SET_POSTPROC_GLAREPOWER=3104,
    SET_POSTPROC_RAYAMOUNT=3105,
    SET_POSTPROC_SPECTRAL_INTENSITY=3106,
    SET_POSTPROC_SPECTRAL_SHIFT=3107,
    SET_POSTPROC_CUTOFF=3108,

    SET_PASSES_ENABLED=3280,
    SET_PASSES_SAVEPATH=3281,
    SET_PASSES_SAVEFORMAT=3282,
    SET_PASSES_MULTILAYER=3283,
    SET_PASSES_FILEFORMAT=3284,
    SET_PASSES_SAVEDEPTH=3285,
    SET_PASSES_MAKEFOLDER=3286,
    SET_PASSES_TONEMAPTYPE=3287,
    SET_PASSES_EXR_COMPR=3288,
    SET_PASSES_SHOWPASSES=3289,
    SET_PASSES_IMAGECOLORPROFILE=3290,
    SET_PASSES_SAVE_MAINPASS=3291,
    SET_PASSES_SEPERATOR=3392,
    SET_INFOPASSES_TONEMAPTYPE=3293,
    SET_PASSES_EXR_HALF_FLOAT=3294,
    SET_PASSES_SAVE_DEEPIMAGE=3295,
    SET_PASSES_DEEPIMAGE_SAVEPATH=3296,

    PASSES_SAVE_SRGB=0,
    PASSES_SAVE_LINEAR=1,

    PASSES_FRMT_TIFF=1,
    PASSES_FRMT_PSD=2,
    PASSES_FRMT_EXR=3,
    PASSES_FRMT_JPG=4,
    PASSES_FRMT_TGA=5,
    PASSES_FRMT_PNG=6,
    PASSES_FRMT_PSB=7,
    PASSES_FRMT_EXR_OCTANE=8,

    EXR_COMPR_NO=0,
    EXR_COMPR_RLE=1,
    EXR_COMPR_ZIPS=2,
    EXR_COMPR_ZIP=3,
    EXR_COMPR_PIZ=4,
    EXR_COMPR_PXR24=5,
    EXR_COMPR_B44=6,
    EXR_COMPR_B44A=7,
    EXR_COMPR_DWAA=8,
    EXR_COMPR_DWAB=9,

    PASSES_SAVE_8BIT=0,
    PASSES_SAVE_16BIT=1,
    PASSES_SAVE_32BIT=2,

    PASSES_TONEMAPPED=0,
    PASSES_LINEAR=1,

    SET_PASSES_EMIT=3301,
    SET_PASSES_ENV=3302,
    SET_PASSES_DIF_D=3303,
    SET_PASSES_DIF_I=3304,
    SET_PASSES_REFL_D=3305,
    SET_PASSES_REFL_I=3306,
    SET_PASSES_REFRACT=3307,
    SET_PASSES_TRANS=3308,
    SET_PASSES_SSS=3309,
    SET_PASSES_POST=3310,
    SET_PASSES_NOISE=3326,
    SET_PASSES_SHADOW=3311,
    SET_PASSES_BLACKSHD=3312,
    SET_PASSES_COLORSHD=3313,
    SET_PASSES_LAYERREFL=3314,


    SET_LIGHTPASS_AMBIENT=3315,
    SET_LIGHTPASS_SUNLIGHT=3316,
    SET_LIGHTPASS_1=3317,
    SET_LIGHTPASS_2=3318,
    SET_LIGHTPASS_3=3319,
    SET_LIGHTPASS_4=3320,
    SET_LIGHTPASS_5=3321,
    SET_LIGHTPASS_6=3322,
    SET_LIGHTPASS_7=3323,
    SET_LIGHTPASS_8=3324,

    SET_PASSES_POST_INCLUDE_ENV=3325,
    SET_PASSES_IRRADIANCE=3371,
    SET_PASSES_LIGHT_DIRECTION=3372,
    SET_PASSES_VOLUME=3373,
    SET_PASSES_VOLUME_MASK=3374,
    SET_PASSES_VOLUME_EMISSION=3375,
    SET_PASSES_VOLUME_Z_DEPTH_FRONT=3376,
    SET_PASSES_VOLUME_Z_DEPTH_BACK=3377,

    SET_PASSES_GEONORM=3331,
    SET_PASSES_SHDNORM=3332,
    SET_PASSES_SMOOTHNORM=3333,
    SET_PASSES_POSITION=3334,
    SET_PASSES_ZDEPTH=3335,
    SET_PASSES_MATID=3337,
    SET_PASSES_UV_COORD=3338,
    SET_PASSES_UVMAX=3339,
    SET_PASSES_TANGENT=3340,
    SET_PASSES_WIRE=3341,
    SET_PASSES_OBJID=3342,
    SET_PASSES_AO=3343,
    SET_PASSES_MOT_VECTOR=3344,
    SET_PASSES_RENDER_LAYER_ID=3345,
    SET_PASSES_RENDER_LAYER_MASK=3346,
    SET_PASSES_FSIZE=3347,
    SET_PASSES_LIGHT_PASS_ID=3348,
    SET_PASSES_OBJ_LAYERCOLOR_ID=3349,
    SET_PASSES_BAKEGROUP_ID=3370,


    SET_PASSES_DISTR_PT=3350,
    SET_PASSES_DIST_TRACING=3351,
    SET_PASSES_BEAUTY_DENOISER=3380,
    SET_PASSES_DENOISER_DIFFUSE_D=3381,
    SET_PASSES_DENOISER_DIFFUSE_I=3382,
    SET_PASSES_DENOISER_REFLECT_D=3383,
    SET_PASSES_DENOISER_REFLECT_I=3384,
    SET_PASSES_DENOISER_REFRACTION=3385,
    SET_PASSES_DENOISER_REMAINDER=3386,
    SET_PASSES_DENOISER_EMISSION=3387,
    SET_PASSES_DENOISER_VOLUME=3388,
    SET_PASSES_DENOISER_VOL_EMIS=3389,

    SET_PASSES_DIST_TRACE_TYPE0=0,
    SET_PASSES_DIST_TRACE_TYPE1=1,
    SET_PASSES_DIST_TRACE_TYPE2=2,

    //SET_PASSES_ROUGHNESS_TRSH=3351,
    SET_PASSES_ZDEPTHMAX=3352,
    SET_PASSES_AOMAXSMPL=3353,
    SET_PASSES_AODIST=3354,
    SET_PASSES_MININFO_STARTSMP=3355,
    SET_PASSES_INFO_MAXSAMPLES=3356,
    SET_PASSES_AOALPHASHD=3357,
    SET_PASSES_MOTIONMAX=3358,
//    SET_PASSES_ENV_MAXSAMPLES=3359,
    SET_PASSES_START_AFTER_BEAUTY=3360,
    SET_PASSES_INFO_TONEMAP=3361,

    SET_PASSES_INFO_OPACITY=3458,
    SET_PASSES_INFO_ROUGHNESS=3362,
    SET_PASSES_INFO_DIFFUSE=3363,
    SET_PASSES_INFO_REFLECTION=3364,
    SET_PASSES_INFO_REFRACTION=3365,
    SET_PASSES_INFO_IOR=3366,
    SET_PASSES_INFO_TRANSMISSON=3367,

    SET_RENDERLAYER_ACTIVE=3400,
    SET_RENDERLAYER_ID=3401,
    SET_RENDERLAYER_INVERT=3402,
    SET_RENDERLAYER_MODE=3403,

    VP_PASSES_RL_MASK1=3411,
    VP_PASSES_RL_MASK2=3412,
    VP_PASSES_RL_MASK3=3413,
    VP_PASSES_RL_MASK4=3414,
    VP_PASSES_RL_MASK5=3415,
    VP_PASSES_RL_MASK6=3416,
    VP_PASSES_RL_MASK7=3417,
    VP_PASSES_RL_MASK8=3418,
    VP_PASSES_RL_MASK9=3419,
    VP_PASSES_RL_MASK10=3420,
    VP_PASSES_RL_MASK11=3421,
    VP_PASSES_RL_MASK12=3422,
    VP_PASSES_RL_MASK13=3423,
    VP_PASSES_RL_MASK14=3424,
    VP_PASSES_RL_MASK15=3425,
    VP_PASSES_RL_MASK16=3426,
    VP_PASSES_RL_MASK17=3427,
    VP_PASSES_RL_MASK18=3428,
    VP_PASSES_RL_MASK19=3429,
    VP_PASSES_RL_MASK20=3430,
    VP_PASSES_RL_MASK21=3431,
    VP_PASSES_RL_MASK22=3432,
    VP_PASSES_RL_MASK23=3433,
    VP_PASSES_RL_MASK24=3434,


    SET_PASSES_RAW=3450,
    SET_PASSES_DIFFUSE=3451,
    SET_PASSES_DIF_FILTER=3452,
    SET_PASSES_REFLECTION=3453,
    SET_PASSES_REFL_FILTER=3454,
    SET_PASSES_REFRACT_FILTER=3455,
    SET_PASSES_TRANSM_FILTER=3456,
    SET_PASSES_TEX_TANGENT=3457,
    SET_PASSES_UVSET=3459,
    SET_PASSES_RL_SHADOW=3460,
    SET_PASSES_CRYPTO_CHANNELS=3470,
    SET_PASSES_CRYPTO_INSTANCE_ID=3471,
    SET_PASSES_CRYPTO_MATERIAL_NODENAME=3472,
    SET_PASSES_CRYPTO_MATERIAL_PINNAME=3473,
    SET_PASSES_CRYPTO_OBJECT_NODENAME=3474,
    SET_PASSES_CRYPTO_OBJECT_PINNAME=3475,
    SET_PASSES_CRYPTO_SEED_FACTOR=3476,
    SET_PASSES_CRYPTO_MATERIAL_NODE=3477,
    SET_PASSES_CRYPTO_OBJECT_NODE=3478,


    SET_LIGHTPASS_AMBIENT_D=3480,
    SET_LIGHTPASS_SUNLIGHT_D=3481,
    SET_LIGHTPASS_1_D=3482,
    SET_LIGHTPASS_2_D=3483,
    SET_LIGHTPASS_3_D=3484,
    SET_LIGHTPASS_4_D=3485,
    SET_LIGHTPASS_5_D=3486,
    SET_LIGHTPASS_6_D=3487,
    SET_LIGHTPASS_7_D=3488,
    SET_LIGHTPASS_8_D=3489,
    SET_LIGHTPASS_AMBIENT_I=3490,
    SET_LIGHTPASS_SUNLIGHT_I=3491,
    SET_LIGHTPASS_1_I=3492,
    SET_LIGHTPASS_2_I=3493,
    SET_LIGHTPASS_3_I=3494,
    SET_LIGHTPASS_4_I=3495,
    SET_LIGHTPASS_5_I=3496,
    SET_LIGHTPASS_6_I=3497,
    SET_LIGHTPASS_7_I=3498,
    SET_LIGHTPASS_8_I=3499,

    SET_PASSES_END,

    SET_EXPERIMENTAL_FEATURES=3200, SET_NEWGUI=3201,
    SET_PREVIEW_FILENAME=3202, SET_PREVIEW_FULL_UPDATE=3203, SET_PREVIEW_MAT_UPDATE=3204, SET_PREVIEW_MESH_UPDATE=3205, SET_PREVIEW_FROMRENDER=3206,
    SET_PREVIEW_START_FRAME=3207, SET_PREVIEW_END_FRAME=3208, SET_PREVIEW_STEP_FRAME=3209, SET_PREVIEW_SIZEW=3213, SET_PREVIEW_SIZEH=3214,
    SET_LOGGING=3215, SET_SHADERTOTEXTURE=3216, SET_SHD2TXT_RES=3217, SET_SHD2TXT_PATH=3218,

    SET_CHECK_CAMERA=3219, SET_CHECK_MATERIAL=3220, SET_CHECK_LIGHT=3221, SET_CHECK_GEOMETRY=3222,
    SET_SHDTXT_HDR=3223, SET_SHDTXT_HDRDISP=3224, SET_OCTANE_VERSION=3225,  SET_LOCKRES=3226,
    SET_LVRES_SCALE=3227, SET_SUBSAMPLING=3228,


    RL_MODE_0=0,
    RL_MODE_1=1,
    RL_MODE_2=2,

};

#endif
